#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>


#define PAGE_SIZE 4096


static void usage(const char *name)
{
    fprintf(stderr,"usage: %s NUM_PAGES >FILE\n",name);
    exit(1);
}


int main(int argc,char **argv)
{
    static long page[PAGE_SIZE/sizeof(long)];
    long pages;
    char *end;
    ssize_t wrote;

    if (argc != 2) usage(*argv);
    pages = strtol(argv[1],&end,0);
    if (*end || pages < 0) usage(*argv);
    for (page[0] = 0; page[0] != pages; page[0]++) {
	wrote = write(1,page,sizeof(page));
	if (wrote < 0) {
	    perror("write");
	    return 1;
	}
	if (wrote != sizeof(page)) {
	    fprintf(stderr,"short write\n");
	    return 1;
	}
    }
    return 0;
}
